Bug 191593 - [WinCairo][WebKitTestRunner] Test contents window is displayed while testing.
Summary: [WinCairo][WebKitTestRunner] Test contents window is displayed while testing.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Windows 10
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-13 12:21 PST by Basuke Suzuki
Modified: 2018-11-19 17:58 PST (History)
8 users (show)

See Also:


Attachments
Patch (1.78 KB, patch)
2018-11-16 02:49 PST, Takashi Komori
no flags Details | Formatted Diff | Diff
Patch (1.09 KB, patch)
2018-11-19 17:56 PST, Takashi Komori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-11-13 12:21:51 PST
It doesn't displayed on DumpRenderTree.
Comment 1 Basuke Suzuki 2018-11-13 12:25:46 PST
I don't know Windows detail, but also process is visible in task bar.
Comment 2 Takashi Komori 2018-11-16 02:49:08 PST
Created attachment 355037 [details]
Patch
Comment 3 Takashi Komori 2018-11-16 02:54:14 PST
DumpRenderTree displays test window in out of display area. (x<0, y<0)
This patch does same thing.
Comment 4 Takashi Komori 2018-11-16 03:24:34 PST
We can hide taskbar button by specifying WS_EX_TOOLWINDOW as argument of CreateWindowEX.
Comment 5 Basuke Suzuki 2018-11-16 09:57:08 PST
Comment on attachment 355037 [details]
Patch

LGTM
Comment 6 WebKit Commit Bot 2018-11-16 12:18:57 PST
Comment on attachment 355037 [details]
Patch

Clearing flags on attachment: 355037

Committed r238296: <https://trac.webkit.org/changeset/238296>
Comment 7 WebKit Commit Bot 2018-11-16 12:18:58 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2018-11-16 14:36:44 PST
<rdar://problem/46140101>
Comment 9 Fujii Hironori 2018-11-16 14:45:55 PST
This isn’t right fix. I’ll fix the next week.
Comment 10 Basuke Suzuki 2018-11-16 18:07:46 PST
(In reply to Fujii Hironori from comment #9)
> This isn’t right fix. I’ll fix the next week.

Komori-san said this is what DumpRenderTree does, please fix that also if this isn't the right fix.
Comment 11 Fujii Hironori 2018-11-18 21:58:47 PST
(In reply to Basuke Suzuki from comment #10)
> Komori-san said this is what DumpRenderTree does, please fix that also if
> this isn't the right fix.

I didn't know that.
I wanted to hide the window by not calling ShowWindow. I will do it another bug.
Comment 12 Takashi Komori 2018-11-19 17:56:35 PST
Created attachment 355303 [details]
Patch

If we don't want to call ShowWindow, we have to send WM_PAINT message to webview because BitBlt doesn't work to hidden window.
Comment 13 Takashi Komori 2018-11-19 17:58:41 PST
WM_PAINT is wrong. WM_PRINT